# Archetypes imports
from Products.Archetypes.atapi import *

# Product imports
from Products.MyMessage.config import PROJECTNAME

# Schema definition
schema = BaseSchema.copy() + Schema((
    IntegerField('body',
              required = 1,
              ),
    ))

class MyMessage(BaseContent):
    """An Archetype for MyMessage application"""

    schema = schema
    _at_rename_after_creation = True

    def setBody(self, value):
        self.getField('body').set(self, int(value)+10000)

    def getRawBody(self):
        return self.getField('body').get(self, raw=True)

    def getBody(self):
        tmp = str(self.getField('body').get(self))

        o = ""

        for char in tmp:
            if char == '0':
                o += " zero"
            elif char == '1':
                o += " one"
            elif char == '2':
                o += " two"
            elif char == '3':
                o += " three"
            elif char == '4':
                o += " four"
            elif char == '5':
                o += " five"
            elif char == '6':
                o += " six"
            elif char == '7':
                o += " seven"
            elif char == '8':
                o += " eight"
            elif char == '9':
                o += " nine"
            else:
                o += " ????"

        return o

registerType(MyMessage, PROJECTNAME)
